import request from "@/utils/request";
// 后台管理登录/auth
export function login(params) {
  return request({
    url: "/admin/auth/doLogin",
    method: "get",
    params,
  });
}
// 后台管理退出登录
export function logout(params) {
  return request({
    url: "/admin/auth/doLogout",
    method: "get",
    params,
  });
}
// 获取管理员信息
export function getInfo() {
  return request({
    url: "/admin/auth/doGetInfo",
    method: "get",
  });
}
//获取管理员下级账号列表
export function getbelowList() {
  return request({
    url: "/admin/belowList",
    method: "get",
  });
}
// 获取管理员列表
export function doGetAdmins(data) {
  return request({
    url: "/admin/doGetAdmins",
    method: "post",
    data,
  });
}
//可管理数据类型（分页）
export function getManagementDataTypeList() {
  return request({
    url: "/admin/managementDataTypeList",
    method: "get",
  });
}
//账号级别（新增-修改使用）
export function getadminTypeList() {
  return request({
    url: "/admin/adminTypeList",
    method: "get",
  });
}
//上级单位（新增-修改使用）
export function getadminList(data) {
  return request({
    url: "/admin/adminList",
    method: "post",
    data,
  });
}
// 添加-编辑管理员
export function doEditAdmin(data) {
  return request({
    url: "/admin/doEditAdmin",
    method: "post",
    data,
  });
}

// 管理员修改自己的信息
export function updateAdmin(data) {
  return request({
    url: "/admin/passwordUpdate",
    method: "post",
    data,
  });
}
// 删除
export function doDeleteAdmin(adminId) {
  return request({
    url: `/admin/doDeleteAdmin/${adminId}`,
    method: "delete",
  });
}

// 获得省份列表
export function getProvince() {
  return request({
    url: "/admin/areaCode/getProvince",
    method: "get",
    params: {},
  });
}

// 获得城市列表
export function getCity(code) {
  return request({
    url: "/admin/areaCode/getCity",
    method: "get",
    params: code,
  });
}

// 获得区县列表
export function getArea(code) {
  return request({
    url: "/admin/areaCode/getArea",
    method: "get",
    params: code,
  });
}

// 获取街道列表
export function getStreet(data) {
  return request({
    url: "/admin/areaCode/getStreet",
    method: "get",
    params: areaCodeId,
  });
}
// 组织架构
export function getOrganizationa() {
  return request({
    url: "/admin/organizationalStructure",
    method: "get",
  });
}
